{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Go Test",
            "type": "shell",
            "command": "go mod tidy && go run main.go"
        },
        {
            "label": "Test",
            "dependsOrder": "sequence",
            "dependsOn": [
                "Go Test"
            ],
            "group": {
                "kind": "test",
                "isDefault": true
            },
            "problemMatcher": []
        },
        {
            "label": "Go Build",
            "type": "shell",
            "command": "go mod tidy && GOOS=linux GOARCH=arm go build -ldflags='-s -w' -o output/perimica_webserver && upx -1 output/perimica_webserver"
        },
        {
            "label": "Build",
            "dependsOrder": "sequence",
            "dependsOn": [
                "Go Build"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": []
        }
    ]
}
